/*
 * @Author: XHC
 * @Date: 2025-05-19 10:42:57
 * @LastEditors: XHC
 * @LastEditTime: 2025-05-28 14:00:10
 * @Description: 
 */
let baseUrl
// 针对 H5 环境
// #ifdef H5
	baseUrl = "/bht"
// #endif
// 针对 App 或小程序
// #ifdef APP-PLUS || MP
	baseUrl = "http://192.168.2.67:9652"
// #endif
 
export const http = function (url, method = 'get', data = {}) {
	return new Promise((resolve, reject) => {
		uni.request({
			url: baseUrl + url,
			data,
			method,
			header: {
				'token': uni.getStorageSync('token') || '',
			}, // 自定义请求头
			success: res => { // 成功的回调
				// if (res.data.code == 401) {
				// 	uni.reLaunch({
				// 		url: "/pages/login/login"
				// 	});
				// }
				resolve(res.data);
			},
			fail: (err) => { // 失败的回调
				reject(err);
			},
			complete: () => { // 不论成功失败的回调
				// 可以在这里写一些通用的逻辑，比如隐藏加载动画
			}
		});
	});
};